Package fr.gouv.vitam.worker.core.plugin.ingestcleanup

# Class IngestCleanupPreparationPlugin

java.lang.Object
fr.gouv.vitam.worker.core.handler.ActionHandler
fr.gouv.vitam.worker.core.plugin.ingestcleanup.IngestCleanupPreparationPlugin

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

public class IngestCleanupPreparationPlugin extends ActionHandler

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACCESSION_REGISTERS_JSONL`
  `static final String`
  `OBJECT_GROUPS_TO_DELETE_JSONL`
  `static final String`
  `UNITS_TO_DELETE_JSONL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IngestCleanupPreparationPlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ItemStatus`
  `execute(WorkerParameters param, HandlerIO handler)`
  Execute an action

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.ActionHandler

  `checkMandatoryIOParameter, checkMandatoryParameters, close, executeList, updateDetailItemStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UNITS_TO_DELETE_JSONL

    public static final String UNITS_TO_DELETE_JSONL
    See Also:
      - Constant Field Values

  - ### OBJECT_GROUPS_TO_DELETE_JSONL

    public static final String OBJECT_GROUPS_TO_DELETE_JSONL
    See Also:
      - Constant Field Values

  - ### ACCESSION_REGISTERS_JSONL

    public static final String ACCESSION_REGISTERS_JSONL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### IngestCleanupPreparationPlugin

    public IngestCleanupPreparationPlugin()

- ## Method Details

  - ### execute

    public ItemStatus execute(WorkerParameters param, HandlerIO handler) throws ProcessingException
    Description copied from class: `ActionHandler`
    Execute an action
    Overrides:
      `execute` in class `ActionHandler`
    Parameters:
      `param` - `WorkerParameters`
      `handler` - the handlerIo
    Returns:
      CompositeItemStatus:response contains a list of functional message and status code
    Throws:
      `ProcessingException` - if an error is encountered when executing the action